#### D.13.2.12 containsPositiveVector

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  containsPositiveVector(c); c cone

Return:
  1, if c contains a vector with only positive entries in its relative interior

Example:

    LIB "gfan.lib";
    intmat M1[2][2]=
    1,1,
    1,-1;
    cone c1=coneViaPoints(M1);
    containsPositiveVector(c1);
    ==> 1
    intmat M2[2][2]=
    0,1,
    -1,0;
    cone c2=coneViaPoints(M2);
    containsPositiveVector(c2);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.